<?php $__env->startSection('main_content'); ?>
<?php
$setting = App\Models\Setting::where('id',1)->first();
?>
<div class="page-top" style="background-image: url(<?php echo e(asset('uploads/'.$setting->banner)); ?>)">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <h2><?php echo e($destination->name); ?></h2>
                <div class="breadcrumb-container">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo e(route('home')); ?>">Home</a></li>
                        <li class="breadcrumb-item"><a href="<?php echo e(route('destinations')); ?>">Destinations</a></li>
                        <li class="breadcrumb-item active"><?php echo e($destination->name); ?></li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
</div>


<div class="destination-detail pt_50 pb_50">
    <div class="container">
        <div class="row">
            <div class="col-lg-12 col-md-12">
                <div class="main-item mb_50">
                    <div class="main-photo">
                        <img src="<?php echo e(asset('uploads/'.$destination->featured_photo)); ?>" alt="">
                    </div>
                </div>
                <div class="main-item mb_50">
                    <h2>
                        Description
                    </h2>
                    <?php echo $destination->description; ?>

                </div>


                <?php if($packages->count()>0): ?>
                <div class="main-item mb_50">
                    <h2>Packages</h2>
                    <div class="package">
                        <div class="row">
                            <?php $__currentLoopData = $packages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="col-lg-4 col-md-6">
                                <div class="item pb_25">
                                    <div class="photo">
                                        <a href="<?php echo e(route('package',$item->slug)); ?>"><img src="<?php echo e(asset('uploads/'.$item->featured_photo)); ?>" alt=""></a>
                                        <div class="wishlist">
                                            <a href="<?php echo e(route('wishlist',$item->id)); ?>"><i class="far fa-heart"></i></a>
                                        </div>
                                    </div>
                                    <div class="text">
                                        <div class="price">
                                            $<?php echo e($item->price); ?> <?php if($item->old_price != ''): ?><del>$<?php echo e($item->old_price); ?></del><?php endif; ?>
                                        </div>
                                        <h2>
                                            <a href="<?php echo e(route('package',$item->slug)); ?>"><?php echo e($item->name); ?></a>
                                        </h2>

                                        <?php if($item->total_score || $item->total_rating): ?>
                                        <div class="review">
                                            <?php
                                            $rating = $item->total_score/$item->total_rating;
                                            ?>
                                            <?php for($i=1; $i<=5; $i++): ?>
                                                <?php if($i <= $rating): ?>
                                                    <i class="fas fa-star"></i>
                                                <?php elseif($i-0.5 <= $rating): ?>
                                                    <i class="fas fa-star-half-alt"></i>
                                                <?php else: ?>
                                                    <i class="far fa-star"></i>
                                                <?php endif; ?>
                                            <?php endfor; ?>
                                            (<?php echo e($item->reviews->count()); ?> Reviews)
                                        </div>
                                        <?php else: ?>
                                        <div class="review">
                                            <?php for($i=1; $i<=5; $i++): ?>
                                                <i class="far fa-star"></i>
                                            <?php endfor; ?>
                                            (<?php echo e($item->reviews->count()); ?> Reviews)
                                        </div>
                                        <?php endif; ?>
                                        <div class="element">
                                            <div class="element-left">
                                                <i class="fas fa-plane-departure"></i> <?php echo e($item->destination->name); ?>

                                            </div>
                                            <div class="element-right">
                                                <i class="fas fa-th-large"></i> <?php echo e($item->package_amenities->count()); ?> Amenities
                                            </div>
                                        </div>
                                        <div class="element">
                                            <div class="element-left">
                                                <i class="fas fa-users"></i> <?php echo e($item->tours->count()); ?> Tours
                                            </div>
                                            <div class="element-right">
                                                <i class="fas fa-clock"></i> <?php echo e($item->package_itineraries->count()); ?> Days
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>
                <?php endif; ?>

                

                <?php if($destination->country != '' || $destination->language != '' || $destination->currency != '' || $destination->area != '' || $destination->timezone != '' || $destination->visa_requirement != '' || $destination->activity != '' || $destination->best_time != '' || $destination->health_safety != ''): ?>
                <div class="main-item mb_50">
                    <h2>
                        Information
                    </h2>
                    <div class="summary">
                        <div class="table-responsive">
                            <table class="table table-bordered">
                                <?php if($destination->country != ''): ?>
                                <tr>
                                    <td><b>Country</b></td>
                                    <td><?php echo e($destination->country); ?></td>
                                </tr>
                                <?php endif; ?>
                                <?php if($destination->language != ''): ?>
                                <tr>
                                    <td><b>Languages Spoken</b></td>
                                    <td><?php echo e($destination->language); ?></td>
                                </tr>
                                <?php endif; ?>
                                <?php if($destination->currency != ''): ?>
                                <tr>
                                    <td><b>Currency Used</b></td>
                                    <td><?php echo e($destination->currency); ?></td>
                                </tr>
                                <?php endif; ?>
                                <?php if($destination->area != ''): ?>
                                <tr>
                                    <td><b>Area</b></td>
                                    <td>
                                        <?php echo e($destination->area); ?>

                                    </td>
                                </tr>
                                <?php endif; ?>
                                <?php if($destination->timezone != ''): ?>
                                <tr>
                                    <td><b>Time Zone</b></td>
                                    <td>
                                        <?php echo e($destination->timezone); ?>

                                    </td>
                                </tr>
                                <?php endif; ?>
                                <?php if($destination->visa_requirement != ''): ?>
                                <tr>
                                    <td><b>Visa Requirements</b></td>
                                    <td>
                                        <?php echo $destination->visa_requirement; ?>

                                    </td>
                                </tr>
                                <?php endif; ?>
                                <?php if($destination->activity != ''): ?>
                                <tr>
                                    <td><b>Activities</b></td>
                                    <td>
                                        <?php echo $destination->activity; ?>

                                    </td>
                                </tr>
                                <?php endif; ?>
                                <?php if($destination->best_time != ''): ?>
                                <tr>
                                    <td><b>Best Time to Visit</b></td>
                                    <td>
                                        <?php echo $destination->best_time; ?>

                                    </td>
                                </tr>
                                <?php endif; ?>
                                <?php if($destination->health_safety != ''): ?>
                                <tr>
                                    <td><b>Health and Safety</b></td>
                                    <td>
                                        <?php echo $destination->health_safety; ?>

                                    </td>
                                </tr>
                                <?php endif; ?>
                            </table>
                        </div>
                    </div>
                </div>
                <?php endif; ?>

                <?php if($destination_photos->count() > 0): ?>
                <div class="main-item mb_50">
                    <h2>
                        Photos
                    </h2>
                    <div class="photo-all">
                        <div class="row">
                            <?php $__currentLoopData = $destination_photos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $photo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="col-md-6 col-lg-3">
                                <div class="item">
                                    <a href="<?php echo e(asset('uploads/'.$photo->photo)); ?>" class="magnific">
                                        <img src="<?php echo e(asset('uploads/'.$photo->photo)); ?>" alt="">
                                    </a>
                                </div>
                            </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>
                <?php endif; ?>

                <?php if($destination_videos->count() > 0): ?>
                <div class="main-item mb_50">
                    <h2>
                        Videos
                    </h2>
                    <div class="video-all">
                        <div class="row">
                            <?php $__currentLoopData = $destination_videos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $video): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="col-md-6 col-lg-6">
                                <div class="item">
                                    <a class="video-button" href="http://www.youtube.com/watch?v=<?php echo e($video->video); ?>">
                                        <img src="http://img.youtube.com/vi/<?php echo e($video->video); ?>/0.jpg" alt="">
                                        <div class="icon">
                                            <i class="far fa-play-circle"></i>
                                        </div>
                                        <div class="bg"></div>
                                    </a>
                                </div>
                            </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>
                <?php endif; ?>

                <?php if($destination->map != ''): ?>
                <div class="main-item">
                    <h2>Map</h2>
                    <div class="location-map">
                        <?php echo $destination->map; ?>

                    </div>
                </div>
                <?php endif; ?>

            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('front.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /opt/homebrew/var/www/projects/tripsummit_laravel/resources/views/front/destination.blade.php ENDPATH**/ ?>