<?php $__env->startSection('main_content'); ?>
<?php
$setting = App\Models\Setting::where('id',1)->first();
?>
<div class="page-top" style="background-image: url(<?php echo e(asset('uploads/'.$setting->banner)); ?>)">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <h2>Invoice: <?php echo e($invoice_no); ?></h2>
                <div class="breadcrumb-container">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo e(route('home')); ?>">Home</a></li>
                        <li class="breadcrumb-item active">Invoice: <?php echo e($invoice_no); ?></li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="page-content user-panel pt_70 pb_70">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-3 col-md-12">
                <div class="card">
                    <?php echo $__env->make('user.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                </div>
            </div>
            <div class="col-lg-9 col-md-12">
                <div class="invoice-container" id="print_invoice">
                    <div class="invoice-top">
                        <div class="row">
                            <div class="col-12">
                                <div class="table-responsive">
                                    <table class="table table-bordered table-border-0">
                                        <tbody>
                                            <tr>
                                                <td class="w-50">
                                                    <img src="uploads/logo.png" alt="" class="h-60">
                                                </td>
                                                <td class="w-50">
                                                    <div class="invoice-top-right">
                                                        <h4>Invoice</h4>
                                                        <h5>Invoice No: <?php echo e($invoice_no); ?></h5>
                                                        <h5>Date: <?php echo e($booking->created_at->format('Y-m-d')); ?></h5>
                                                    </div>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>    
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="invoice-middle">
                        <div class="row">
                            <div class="col-12">
                                <div class="table-responsive">
                                    <table class="table table-bordered table-border-0">
                                        <tbody>
                                            <tr>
                                                <td class="w-50">
                                                    <div class="invoice-middle-left">
                                                        <h4>Invoice To:</h4>
                                                        <p class="mb_0"><?php echo e(Auth::guard('web')->user()->name); ?></p>
                                                        <p class="mb_0"><?php echo e(Auth::guard('web')->user()->email); ?></p>
                                                        <p class="mb_0"><?php echo e(Auth::guard('web')->user()->phone); ?></p>
                                                        <p class="mb_0"><?php echo e(Auth::guard('web')->user()->address); ?></p>
                                                        <p class="mb_0"><?php echo e(Auth::guard('web')->user()->city); ?>, <?php echo e(Auth::guard('web')->user()->state); ?>, <?php echo e(Auth::guard('web')->user()->country); ?>, <?php echo e(Auth::guard('web')->user()->zip); ?></p>
                                                    </div>
                                                </td>
                                                <td class="w-50">
                                                    <div class="invoice-middle-right">
                                                        <h4>Invoice From:</h4>
                                                        <p class="mb_0"><?php echo e(env('APP_NAME')); ?></p>
                                                        <p class="mb_0"><?php echo e($admin_data->name); ?></p>
                                                        <p class="mb_0 color_6d6d6d"><?php echo e($admin_data->email); ?></p>
                                                        <p class="mb_0">Payment Status: <?php echo e($booking->payment_status); ?></p>
                                                    </div>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="invoice-item">
                        <div class="row">
                            <div class="col-12">
                                <div class="table-responsive">
                                    <table class="table table-bordered invoice-item-table">
                                        <tbody>
                                            <tr>
                                                <th>SL</th>
                                                <th>Package</th>
                                                <th>Tour Start Date</th>
                                                <th>Tour End Date</th>
                                                <th>Ticket Price</th>
                                                <th>Tickets</th>
                                                <th>Total Price</th>
                                            </tr>
                                            <tr>
                                                <td>1</td>
                                                <td><?php echo e($booking->package->name); ?></td>
                                                <td>
                                                    <?php echo e($booking->tour->tour_start_date); ?>

                                                </td>
                                                <td>
                                                    <?php echo e($booking->tour->tour_end_date); ?>

                                                </td>
                                                <td>$<?php echo e($booking->package->price); ?></td>
                                                <td><?php echo e($booking->total_person); ?></td>
                                                <td>$<?php echo e($booking->paid_amount); ?></td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="invoice-bottom">
                        <div class="row">
                            <div class="col-12">
                                <div class="table-responsive">
                                    <table class="table table-bordered table-border-0">
                                        <tbody>
                                            <td class="w-70 invoice-bottom-payment">
                                                <h4>Payment Method</h4>
                                                <p><?php echo e($booking->payment_method); ?></p>
                                            </td>
                                            <td class="w-30 tar invoice-bottom-total-box">
                                                <p class="mb_0"><b>Total: $<?php echo e($booking->paid_amount); ?></b></p>
                                            </td>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="print-button mt_25">
                    <a onclick="printInvoice()" href="javascript:;" class="btn btn-primary"><i class="fas fa-print"></i> Print</a>
                </div>
                <script>
                    function printInvoice() {
                        let body = document.body.innerHTML;
                        let data = document.getElementById('print_invoice').innerHTML;
                        document.body.innerHTML = data;
                        window.print();
                        document.body.innerHTML = body;
                    }
                </script>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('front.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /opt/homebrew/var/www/projects/tripsummit_laravel/resources/views/user/invoice.blade.php ENDPATH**/ ?>